# $Revision: 1.151 $, $Date: 2012/03/22 18:10:52 $
#
# Conditional build:
%bcond_without	initrd		# don't build initrd version
%bcond_without	dietlibc	# link initrd version with static glibc instead of dietlibc
%bcond_without	tcmalloc	# don't use tcmalloc
#
Summary:	Tools for the XFS filesystem
Summary(pl.UTF-8):	Narzędzia do systemu plików XFS
Name:		xfsprogs
Version:	3.1.8
Release:	1
License:	LGPL v2.1 (libhandle), GPL v2 (the rest)
Group:		Applications/System
Source0:	ftp://linux-xfs.sgi.com/projects/xfs/cmd_tars/%{name}-%{version}.tar.gz
# Source0-md5:	f70b2e7200d4c29f0af1cf70e7be1db6
Source1:	xfs_lsprojid
Patch0:		%{name}-miscfix-v2.patch
Patch2:		%{name}-sharedlibs.patch
Patch3:		%{name}-pl.po-update.patch
Patch4:		%{name}-dynamic_exe.patch
Patch5:		%{name}-diet.patch
Patch6:		%{name}-repair-tcmalloc.patch
Patch7:		%{name}-noquotasync.patch
URL:		http://www.xfs.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bash
%if %{with initrd}
	%if %{with dietlibc}
BuildRequires:	dietlibc-static >= 2:0.31-6
BuildRequires:	libuuid-dietlibc
	%else
BuildRequires:	glibc-static
BuildRequires:	libuuid-static
	%endif
%endif
BuildRequires:	gettext-devel
BuildRequires:	libblkid-devel
%{?with_tcmalloc:BuildRequires:	libtcmalloc-devel}
BuildRequires:	libtool
BuildRequires:	libuuid-devel
BuildRequires:	readline-devel
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	rpmbuild(macros) >= 1.402
%{?with_tcmalloc:Requires:	libtcmalloc >= 1.8.3-3}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%if "%{pld_release}" == "ac"
# libtool in ac doesn't do the reordering of args properly
%define		filterout_ld -Wl,--as-needed
%endif

# libxlog uses symbols from binary that links to libxlog
# libxcmd uses ("program") symbol from binary that links to libxcmd
%define		skip_post_check_so	libxlog.so.0.0.0	libxcmd.so.0.0.0

%define		_sbindir	/sbin
%define		_bindir		/usr/sbin
%define		_libdir		/%{_lib}
%define		_libexecdir	/usr/%{_lib}
# for some reason known only to rpm there must be "\\|" not "\|" here
%define         dietarch        %(echo %{_target_cpu} | sed -e 's/i.86\\|pentium.\\|athlon/i386/;s/amd64/x86_64/;s/armv.*/arm/')
%define         dietlibdir      %{_prefix}/lib/dietlibc/lib-%{dietarch}

%description
A set of commands to use the XFS filesystem, including mkfs.xfs.

XFS is a high performance journaling filesystem which originated on
the SGI IRIX platform. It is completely multi-threaded, can support
large files and large filesystems, extended attributes, variable block
sizes, is extent based, and makes extensive use of Btrees
(directories, extents, free space) to aid both performance and
scalability.

This implementation is on-disk compatible with the IRIX version of
XFS.

%description -l pl.UTF-8
Zbiór komend do użytku z systemem plików XFS, włączając w to mkfs.xfs.

XFS jest wysoko wydajnym systemem plików z kroniką, który oryginalnie
był używany na platformie SGI IRIX. Jest to w pełni wielowątkowy,
obsługujący wielkie pliki oraz wielkie systemy, o rozszerzonych
atrybutach, zmiennych wielkościach bloków, mocno wykorzystujący
B-drzewa by uzyskać wysoką wydajność oraz skalowalność.

%package devel
Summary:	Header files and libraries to develop XFS software
Summary(pl.UTF-8):	Pliki nagłówkowe i biblioteki
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libuuid-devel

%description devel
Header files and libraries to develop software which operates on XFS
filesystems.

%description devel -l pl.UTF-8
Pliki nagłówkowe i biblioteki potrzebne do rozwoju oprogramowania
operującego na systemie plików XFS.

%package static
Summary:	Static XFS software libraries
Summary(pl.UTF-8):	Biblioteki statyczne do XFS
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static XFS software libraries.

%description static -l pl.UTF-8
Biblioteki statyczne do XFS.

%package initrd
Summary:	Tools for the XFS filesystem - initrd version
Summary(pl.UTF-8):	Narzędzia do systemu plików XFS - wersja dla initrd
Group:		Base

%description initrd
A set of commands to use the XFS filesystem, including mkfs.xfs
 - initrd version.

%description initrd -l pl.UTF-8
Zbiór komend do użytku z systemem plików XFS, włączając w to mkfs.xfs
 - wersja dla initrd.

%prep
%setup -q
%patch0 -p1
%patch2 -p1
#%patch3 -p1
%patch4 -p1
%patch5 -p1
%{?with_tcmalloc:%patch6 -p1}
%patch7 -p1

%build
%{__aclocal} -I m4

%if %{with initrd}
%if %{with dietlibc}
# dietlibc doesn't have aio.h (and xfsprogs does not need it really)
# dietlibc has needed librt stuff in libc/libpthread
sed -i -e 's|^AC_PACKAGE_NEED_AIO_H|dnl AC_PACKAGE_NEED_AIO_H|' \
	-e 's|^AC_PACKAGE_NEED_LIO_LISTIO|dnl AC_PACKAGE_NEED_LIO_LISTIO|' \
	configure.in
sed -i -e 's|\(^LIBRT.*=.*\)|# \1|' include/builddefs.in
sed -i -e 's|\(^LLDLIBS.*=.*\)|\1 -lcompat|' db/Makefile mkfs/Makefile
%endif

%{__autoconf}
%configure \
	%{?with_dietlibc:CC="diet %{__cc} -static"} \
	--sbindir=%{_bindir} \
	--disable-gettext \
	--disable-readline \
	DEBUG="%{?debug:-DDEBUG}%{!?debug:-DNDEBUG}" \
	OPTIMIZER="%{rpmcflags} -Wno-deprecated-declarations -Os -D_BSD_SOURCE -D__USE_XOPEN_EXTENDED"

%{__make} -j1 include libxfs libxlog libxcmd libhandle libdisk \
	LIBUUID="%{dietlibdir}/libuuid.a" \
	V=1
%{__make} -j1 db growfs logprint mkfs mdrestore repair \
	LDFLAGS="%{rpmldflags} -all-static" \
	LIBUUID="%{dietlibdir}/libuuid.a" \
	V=1

mkdir -p initrd
mv -f db/xfs_db initrd/xfs_db
mv -f growfs/xfs_growfs initrd/xfs_growfs
mv -f logprint/xfs_logprint initrd/xfs_logprint
mv -f mkfs/mkfs.xfs initrd/mkfs.xfs
mv -f mdrestore/xfs_mdrestore initrd/xfs_mdrestore
mv -f repair/xfs_repair initrd/xfs_repair

%if %{with dietlibc}
sed -i -e 's|^dnl AC_PACKAGE_NEED_AIO_H|AC_PACKAGE_NEED_AIO_H|' \
	-e 's|^dnl AC_PACKAGE_NEED_LIO_LISTIO|AC_PACKAGE_NEED_LIO_LISTIO|' \
	configure.in
sed -i -e 's|^# \(LIBRT.*=.*\)|\1|' include/builddefs.in
sed -i -e 's|\(^LLDLIBS.*=.*\) -lcompat|\1|' db/Makefile mkfs/Makefile
%endif

%{__make} clean
%endif

%{__autoconf}
%configure \
	--sbindir=%{_bindir}\
	--enable-gettext \
	--enable-readline \
	--enable-blkid \
	DEBUG="%{?debug:-DDEBUG}%{!?debug:-DNDEBUG}" \
	OPTIMIZER="%{rpmcflags}"

%{__make} -j1 \
	V=1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libexecdir},/etc}

DIST_ROOT=$RPM_BUILD_ROOT
DIST_INSTALL=$(pwd)/install.manifest
DIST_INSTALL_DEV=$(pwd)/install-dev.manifest
export DIST_ROOT DIST_INSTALL DIST_INSTALL_DEV

%{__make} install \
	DIST_MANIFEST="$DIST_INSTALL"
%{__make} install-dev \
	DIST_MANIFEST="$DIST_INSTALL_DEV"

install %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/xfs_lsprojid

ln -sf %{_libdir}/$(basename $RPM_BUILD_ROOT%{_libdir}/libhandle.so.*.*.*) \
	 $RPM_BUILD_ROOT%{_libexecdir}/libhandle.so
ln -sf %{_libdir}/$(basename $RPM_BUILD_ROOT%{_libdir}/libxcmd.so.*.*.*) \
	$RPM_BUILD_ROOT%{_libexecdir}/libxcmd.so
ln -sf %{_libdir}/$(basename $RPM_BUILD_ROOT%{_libdir}/libxfs.so.*.*.*) \
	$RPM_BUILD_ROOT%{_libexecdir}/libxfs.so
ln -sf %{_libdir}/$(basename $RPM_BUILD_ROOT%{_libdir}/libxlog.so.*.*.*) \
	$RPM_BUILD_ROOT%{_libexecdir}/libxlog.so

mv $RPM_BUILD_ROOT%{_libdir}/lib*.la $RPM_BUILD_ROOT%{_libexecdir}
mv $RPM_BUILD_ROOT%{_libdir}/lib*.a $RPM_BUILD_ROOT%{_libexecdir}

%{__sed} -i -e "s|libdir='%{_libdir}'|libdir='%{_libexecdir}'|" \
	$RPM_BUILD_ROOT%{_libexecdir}/lib{handle,xcmd,xfs,xlog}.la
%{__sed} -i -e "s| %{_libdir}/libxfs.la | %{_libexecdir}/libxfs.la |" \
	$RPM_BUILD_ROOT%{_libexecdir}/libxlog.la

%if %{with initrd}
install -d $RPM_BUILD_ROOT%{_libexecdir}/initrd
install initrd/* $RPM_BUILD_ROOT%{_libexecdir}/initrd
%endif

echo "#10:/mnt/ftp/roman"  >> $RPM_BUILD_ROOT/etc/projects
echo "#ftproman:10" >> $RPM_BUILD_ROOT/etc/projid

%find_lang %{name}

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}

# already in /usr
%{__rm} $RPM_BUILD_ROOT%{_libdir}/lib{handle,xcmd,xfs,xlog}.so

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README doc/{CHANGES,CREDITS}
%config(noreplace) %verify(not md5 mtime size) /etc/projects
%config(noreplace) %verify(not md5 mtime size) /etc/projid
%attr(755,root,root) %{_sbindir}/fsck.xfs
%attr(755,root,root) %{_sbindir}/mkfs.xfs
%attr(755,root,root) %{_sbindir}/xfs_repair
%attr(755,root,root) %{_bindir}/xfs_*
%attr(755,root,root) %{_libdir}/libhandle.so.*.*
%attr(755,root,root) %{_libdir}/libxcmd.so.*.*
%attr(755,root,root) %{_libdir}/libxfs.so.*.*
%attr(755,root,root) %{_libdir}/libxlog.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libhandle.so.1
%attr(755,root,root) %ghost %{_libdir}/libxcmd.so.0
%attr(755,root,root) %ghost %{_libdir}/libxfs.so.0
%attr(755,root,root) %ghost %{_libdir}/libxlog.so.0
%{_mandir}/man5/projects.5*
%{_mandir}/man5/projid.5*
%{_mandir}/man5/xfs.5*
%{_mandir}/man8/fsck.xfs.8*
%{_mandir}/man8/mkfs.xfs.8*
%{_mandir}/man8/xfs_*.8*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libexecdir}/libhandle.so
%attr(755,root,root) %{_libexecdir}/libxcmd.so
%attr(755,root,root) %{_libexecdir}/libxfs.so
%attr(755,root,root) %{_libexecdir}/libxlog.so
%{_libexecdir}/libhandle.la
%{_libexecdir}/libxcmd.la
%{_libexecdir}/libxfs.la
%{_libexecdir}/libxlog.la
%{_includedir}/xfs
%{_mandir}/man3/*handle.3*
%{_mandir}/man3/xfsctl.3*

%files static
%defattr(644,root,root,755)
%{_libexecdir}/libhandle.a
%{_libexecdir}/libxcmd.a
%{_libexecdir}/libxfs.a
%{_libexecdir}/libxlog.a

%if %{with initrd}
%files initrd
%defattr(644,root,root,755)
%attr(755,root,root) %{_libexecdir}/initrd/mkfs.xfs
%attr(755,root,root) %{_libexecdir}/initrd/xfs_db
%attr(755,root,root) %{_libexecdir}/initrd/xfs_growfs
%attr(755,root,root) %{_libexecdir}/initrd/xfs_logprint
%attr(755,root,root) %{_libexecdir}/initrd/xfs_mdrestore
%attr(755,root,root) %{_libexecdir}/initrd/xfs_repair
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xfsprogs.spec,v $
Revision 1.151  2012/03/22 18:10:52  arekm
- up to 3.1.8; obsolete patches dropped

Revision 1.150  2012/02/02 14:17:58  glen
- fix without tcmalloc deps

Revision 1.149  2012/01/30 12:02:09  arekm
- rel 2; don't call expensive quota sync

Revision 1.148  2011/11/23 17:21:24  qboosh
- updated pl.po-update patch
- added tcmalloc bcond; updated libtcmalloc BR (now separated from the rest of google-perftools)

Revision 1.147  2011/11/18 19:43:55  arekm
- force R on google-perftools with some libs in /lib(64)

Revision 1.146  2011/11/18 07:07:52  arekm
- up to 3.1.7; po patch merged upstream; add patches: 1) avoid hanging on futexes, 2) lower memory footprint, 3) use libtcmalloc which uses less memory than glibc malloc (which means 5.3GB of ram needed instead of 7.3GB for 7.1TB fs with 95mln inodes).

Revision 1.145  2011/11/17 09:27:08  arekm
- rel 2; simple wrapper for showing project quota id

Revision 1.144  2011/10/19 19:11:12  qboosh
- updated pl.po-update patch

Revision 1.143  2011/10/15 23:00:49  arekm
- up to 3.1.6

Revision 1.142  2011/07/23 18:35:04  areq
- typo

Revision 1.141  2011/07/11 10:47:23  blues
- rel.3 - add project config files

Revision 1.140  2011/04/15 09:09:01  arekm
- rel 2; don't translate command names

Revision 1.139  2011/04/01 16:56:36  qboosh
- updated pl.po-update patch is back

Revision 1.138  2011/03/31 04:50:23  arekm
- up to 3.1.5 (multithreaded phase 2; nice speedup)

Revision 1.137  2011/01/28 16:31:06  qboosh
- updated pl.po-update patch is back
- use __rm macro, removed obsolete rms
- unhide compiler command line

Revision 1.136  2010/11/11 22:08:48  arekm
- up to 3.1.4

Revision 1.135  2010/08/28 14:39:07  arekm
- up to 3.1.3

Revision 1.134  2010/05/10 17:14:28  arekm
- up to 3.1.2

Revision 1.133  2010/05/07 11:52:13  arekm
- rel 2; git fixes

Revision 1.132  2010/03/21 07:41:07  arekm
- use macro

Revision 1.131  2010/03/20 22:10:21  cactus
- rel 1; reenabled dynamic_exe patch

Revision 1.130  2010/03/20 21:54:59  cactus
- rel 0.5
- disabled shared_exec patch
- pass sbindir to configure

Revision 1.129  2010/03/20 19:50:28  arekm
- up to 3.1.1 (unfinished; uzi18 is going to take care for this)

Revision 1.128  2009/10/21 09:53:29  glen
- make build on ac

Revision 1.127  2009/08/31 10:15:25  arekm
- up to 3.0.3

Revision 1.126  2009/08/28 19:21:18  wiget
- fix building with dietlibc
- relase 2

Revision 1.125  2009/05/17 21:10:10  charles
- BR: readline-devel

Revision 1.124  2009/05/17 20:00:36  arekm
- up to 3.0.1

Revision 1.123  2009/03/23 14:10:51  baggins
- unify dietlibc compile options and calls

Revision 1.122  2009/03/22 22:49:29  baggins
- rel 5
- install initrd programs in _libdir/initrd
- verbose files

Revision 1.121  2009/03/19 22:01:30  baggins
- rel 4

Revision 1.120  2009/03/19 22:01:15  baggins
- added initrd package
- proper BRs for initrd stuff
- fixed static glibc build
- bcond clenup

Revision 1.119  2009/03/19 15:50:23  baggins
- BR diet with memalign, valloc and getsubopt

Revision 1.118  2009/03/19 15:49:28  baggins
- WIP on building initrd, dietlibc version

Revision 1.117  2009/03/17 13:22:28  baggins
- removed outdated and unneeded Obsoletes

Revision 1.116  2009/02/24 06:25:09  arekm
- release 3

Revision 1.115  2009/02/23 06:15:10  arekm
- rel 2; upstream tarball has changed (was repackaged)

Revision 1.114  2009/02/04 23:01:11  arekm
- fix libxlog.la, too

Revision 1.113  2009/02/04 22:48:28  arekm
- up to 3.0.0

Revision 1.112  2008/12/10 07:21:02  arekm
- rel 2; upstream replaced tarball

Revision 1.111  2008/12/08 09:44:43  arekm
- up to 2.10.2

Revision 1.110  2008/10/01 20:48:41  arekm
- up to 2.10.1

Revision 1.109  2008/06/18 15:53:14  qboosh
- updated pl.po-update patch

Revision 1.108  2008/06/18 15:09:37  qboosh
- updated Source0 URL

Revision 1.107  2008/04/23 06:52:47  arekm
- up to 2.9.8

Revision 1.106  2008-04-19 07:54:13  arekm
- make xfs_quota exit with non zero status if something goes wrong

Revision 1.105  2008-03-24 18:08:45  glen
- release 2

Revision 1.104  2008-03-24 17:59:27  glen
- 2.9.7, resolves sb_lazy_counters regression in #122

Revision 1.103  2008-02-15 20:34:52  qboosh
- updated to 2.9.6
- updated pl.po-update patch

Revision 1.102  2008-01-26 22:53:03  glen
- rel 4

Revision 1.101  2008-01-26 01:39:34  qboosh
- release 3

Revision 1.100  2008-01-26 01:38:03  qboosh
- updated pl.po-update patch, fixed libxcmd change in dynamic_exe patch
- reverted configure (optflags, gettext) breakage; no need to pass default --enable-*

Revision 1.99  2008-01-23 20:25:14  glen
- enabled dynamic exe patch and dropped bcond; rel 2

Revision 1.98  2008-01-23 20:09:24  glen
- drop obscure bcond static, which was for static libuuid which option no longer exists
- verbose files, files cleanup, use proper rpm macros to fix man symlinks

Revision 1.97  2008-01-23 13:01:52  arekm
- up to 2.9.5

Revision 1.96  2007-12-25 22:18:27  glen
- rel 2

Revision 1.95  2007-09-12 07:48:35  glen
- check-files cleanup

Revision 1.94  2007/09/12 06:50:05  arekm
- up to 2.9.4

Revision 1.93  2007/08/01 22:03:16  qboosh
- updated to 2.9.3
- updated pl.po-update patch
- xfs_metadump.h included in sources

Revision 1.92  2007/07/21 07:52:43  arekm
- up to 2.9.2

Revision 1.91  2007/06/01 18:11:01  qboosh
- updated to 2.8.21
- updated pl.po-update patch

Revision 1.90  2007/04/02 15:37:37  qboosh
- updated pl.po-update patch, release 2

Revision 1.89  2007/04/01 01:13:32  arekm
- up to 2.8.20

Revision 1.88  2007/02/12 22:09:22  glen
- tabs in preamble

Revision 1.87  2007/02/12 01:06:38  baggins
- converted to UTF-8

Revision 1.86  2007/01/18 08:15:05  arekm
- rel 2; fix symlinks pointing to nowhere

Revision 1.85  2006/12/20 20:38:51  qboosh
- updated to 2.8.18, updated pl.po-update patch

Revision 1.84  2006/11/13 15:06:00  sparky
- don't use %{without ...}, it may not work after inverting bcond

Revision 1.83  2006/10/30 20:25:29  qboosh
- updated to 2.8.16, updated pl.po-update patch, added gettext patch

Revision 1.82  2006/08/23 18:27:18  glen
- add libtool patch

Revision 1.81  2006/08/23 17:35:16  qboosh
- updated to 2.8.11, updated pl.po-update patch

Revision 1.80  2006/08/16 18:23:52  qboosh
- updated to 2.8.10, updated pl.po-update patch

Revision 1.79  2006/08/02 01:02:56  sparky
- sed 2 patch

Revision 1.78  2006/08/01 00:12:07  sparky
- use rpmldflags for libraries too

Revision 1.77  2006/06/27 21:46:53  qboosh
- updated to 2.8.4, added pl.po-update patch

Revision 1.76  2006/06/22 07:49:35  qboosh
- removed obsolete po patch and pl.po source (I'll make pl.po-update later)

Revision 1.75  2006/06/22 06:20:43  arekm
- up to 2.8.3

Revision 1.74  2006/03/10 17:20:10  sparky
- added dynamic_exe patch and bcond

Revision 1.73  2006/02/26 23:52:26  sparky
- added cflags patch

Revision 1.72  2006/02/26 19:48:05  sparky
- kill -O3 in fsck (on ppc O3 is slower than O2 and very unstable)

Revision 1.71  2006/01/21 19:58:56  qboosh
- updated to 2.7.11, removed obsolete cflags,xfs_db-segv patches
- added po patch and pl.po, enabled gettext support

Revision 1.70  2005/10/24 13:02:54  pluto
- fix ICE on `xfs_db -c frag -r /dev/hdaX` (endian issue).

Revision 1.69  2005/10/14 07:40:27  qboosh
- updated to 2.7.3

Revision 1.68  2005/08/07 18:29:16  hawk
- release 3 (2 for Ra)

Revision 1.67  2005/08/06 15:51:59  qboosh
- updated to 2.6.36, removed outdated gcc4 patch

Revision 1.66  2005/06/08 22:32:58  zbyniu
- R: libuuid-devel in -devel, rel 3, STBR

Revision 1.65  2005/06/08 14:54:49  zbyniu
- BR: gettext-devel

Revision 1.64  2005/05/11 01:46:32  pluto
- gcc4 fixes.

Revision 1.63  2005/05/11 01:07:56  pluto
- release 2 for Th.

Revision 1.62  2004/12/21 11:56:27  qboosh
- hack libdirs in *.la

Revision 1.61  2004/10/31 12:55:15  paladine
- spaces->tabs

Revision 1.60  2004/10/17 14:28:33  qboosh
- updated to 2.6.25, updated miscfix-v2,cflags patches

Revision 1.59  2004/05/25 15:12:01  averne
- added xfsprogs-cflags.patch

Revision 1.58  2004/05/13 18:29:21  areq
- 2.6.13

Revision 1.57  2004/04/05 11:30:56  areq
- 2.6.10 (Note: this contains some very important mkfs fixes from Chris
                Pascoe for anyone creating filesystems with version 2 logs.
                This has been broken in cvs since the sb_features2 superblock
                field was introduced (March 17th).

Revision 1.56  2004/03/27 13:31:33  pluto
- %files

Revision 1.55  2004/03/27 00:02:23  areq
- 2.6.9

Revision 1.54  2004/02/26 17:53:17  pluto
- strict deps.

Revision 1.53  2004/01/28 19:53:51  qboosh
- updated to 2.6.3

Revision 1.52  2004/01/13 22:51:06  qboosh
- updated to 2.6.2

Revision 1.51  2004/01/02 18:17:07  jajcus
- Release: 2 (STBR after AMD64 fixes)

Revision 1.50  2003/12/19 00:36:54  jajcus
- use proper libdirs

Revision 1.49  2003/12/01 09:33:06  areq
- 2.6.0

Revision 1.48  2003/10/12 17:44:41  radek
- annotation to previous change: file from df is different

Revision 1.47  2003/10/12 17:31:52  radek
- fixed Source0 URL
  NOTE: version 2.5.11 is available

Revision 1.46  2003/10/09 09:57:42  qboosh
- new bcond style, s/e2fsprogs/libuuid/

Revision 1.45  2003/09/07 17:28:19  blues
- static bcond requires new sed

Revision 1.44  2003/08/25 09:41:52  mmazur
- rel2 for ac

Revision 1.43  2003/08/22 10:24:47  areq
- 2.5.6

Revision 1.42  2003/08/08 16:31:06  qboosh
- up to 2.5.4, updated miscfix-v2 patch

Revision 1.41  2003/06/27 08:07:44  gotar
- removed %{_sbindir} from package contents

Revision 1.40  2003/05/25 11:01:48  malekith
- massive attack, adding Source-md5

Revision 1.39  2003/05/25 06:28:18  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.38  2003/05/23 00:49:33  malekith
- fixed --with static bcond

Revision 1.37  2003/05/23 00:17:52  malekith
- br: libtool

Revision 1.36  2003/02/11 09:26:20  trojan
- updated to 2.3.9

Revision 1.35  2002/11/27 11:30:21  areq
- 2.3.6, STBR

Revision 1.34  2002/11/26 10:57:11  ankry
- 2nd .la file attributes massive attack

Revision 1.33  2002/10/09 13:14:51  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.32  2002/09/01 20:10:33  areq
- 2.2.2, STBR

Revision 1.31  2002/08/20 18:10:43  qboosh
- sharedlibs patch - build shared lib{disk,xfs,xlog} too
  (libxfs is needed by xfsdump configure)
- release 2

Revision 1.30  2002/08/13 16:04:26  baggins
- fixed libhandle.so symlink

Revision 1.29  2002/08/13 15:50:33  baggins
- fixed %files

Revision 1.28  2002/08/13 15:44:16  baggins
- updated to 2.1.2

Revision 1.27  2002/07/20 13:49:37  areq
- 2.0.6, STBR
- new %doc

Revision 1.26  2002/05/21 23:15:05  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.25  2002/04/30 13:39:49  pioklo
- update to 2.0.3,STBR

Revision 1.24  2002/04/10 18:42:31  kloczek
- libxfs1{,-devel} added to Obsoletes for allow upgrade from MDK.

Revision 1.23  2002/04/09 19:28:04  ankry
- removed man section from .so redirections
- release 3

Revision 1.22  2002/04/08 14:30:07  areq
- add link to libhandle.so
- added Requires %{name} = %{version} to devel package
- Relese 2, STBR

Revision 1.21  2002/04/08 12:32:09  areq
- up to 2.0.1, STBR

Revision 1.20  2002/04/02 16:30:47  kloczek
- remove all obsoleted BOOT modyfications,
- pass correctly %{rpmcflags} to compile ption,
- added static subpackage,
- regenereate ac files.

Revision 1.19  2002/03/16 12:32:08  malekith
- added --with static
- thrown away BOOT
- removed unneeded br: lvm-devel

Revision 1.18  2002/02/23 05:29:54  kloczek
- adapterized.

Revision 1.17  2002/02/22 23:30:05  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/02/06 23:12:48  filon
- updated to 1.3.17 (bugfix)

Revision 1.15  2002/01/18 02:15:39  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2002/01/03 18:12:40  baggins
- run ldconfig in %post(un)

Revision 1.13  2001/12/06 22:43:51  qboosh
- adapterized, cosmetics, pl spelling(!)
- release 3

Revision 1.12  2001/11/17 12:07:39  malekith
- boot subpackage
- rel 2

Revision 1.11  2001/11/11 21:23:58  misiek
- 1.3.13

Revision 1.10  2001/10/02 21:39:15  ankry
- changed version to 1.3.7
- moved shared libuuid support from patch to configure option

Revision 1.9  2001/09/17 06:05:13  jajcus
- include %{_mandir}/man5 too

Revision 1.8  2001/08/30 06:57:48  aflinta
- added BuildRequires: bash which is needed by install-sh
- added install-sh.patch, STBR

Revision 1.7  2001/08/29 07:52:56  aflinta
- started update to version 1.3.5, still needs some modifications :(

Revision 1.6  2001/06/04 15:54:12  baggins
- removed requires %{name} from devel package (not needed)

Revision 1.5  2001/06/01 13:25:54  baggins
- added Requires %{name} = %{version} to devel package

Revision 1.4  2001/06/01 13:10:18  baggins
- updated to 1.2.7

Revision 1.3  2001/05/01 21:14:25  misiek
- removed not needed requires in devel subpackage

Revision 1.2  2001/05/01 20:59:16  kloczek
- cosmetics.

Revision 1.1  2001/05/01 20:04:39  misiek
- XFS filesystem utilities; initial pld release
